View Issue Details

IDProjectCategoryView StatusLast Update
0006969Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006969: taler-wire-gateway-client doensn't report errors nicely
DescriptionWe want to be able to use taler-wire-gateway-client to verify that the exchange configuration of the Taler wire gateway is correct.

But currently, we do not get actionable logs on error:

root@vagrant:~# taler-wire-gateway-client --section exchange-account-1 --debit-history
Aug 02 17:29:43-518939 taler-wire-gateway-client-23961 ERROR Assertion failed at url.c:243.
Aug 02 17:29:43-519109 taler-wire-gateway-client-23961 ERROR Assertion failed at bank_api_debit.c:277.
Could not request the debit transaction history.
TagsNo tags attached.

Activities

Florian Dold

2021-08-02 19:34

manager   ~0018052

Furthermore, the tool should be renamed to taler-exchange-wire-gateway-client, as it reads exchange-specific configuration sections.

Christian Grothoff

2021-08-03 14:45

manager   ~0018055

Should really be fixed nicely in 705afeb9..5fc2e72a

Christian Grothoff

2021-09-02 18:14

manager   ~0018222

Fix committed to master branch.

Related Changesets

exchange: master 5fc2e72a

2021-08-03 14:41:42

Christian Grothoff

Details Diff
fix 0006969 Affected Issues
0006969
mod - src/bank-lib/taler-exchange-wire-gateway-client.c Diff File
mod - src/util/url.c Diff File

Issue History

Date Modified Username Field Change
2021-08-02 19:33 Florian Dold New Issue
2021-08-02 19:33 Florian Dold Status new => assigned
2021-08-02 19:33 Florian Dold Assigned To => Christian Grothoff
2021-08-02 19:34 Florian Dold Note Added: 0018052
2021-08-02 19:45 Christian Grothoff Priority normal => urgent
2021-08-02 19:45 Christian Grothoff Product Version => git (master)
2021-08-02 19:45 Christian Grothoff Target Version => 0.8
2021-08-03 14:45 Christian Grothoff Status assigned => resolved
2021-08-03 14:45 Christian Grothoff Resolution open => fixed
2021-08-03 14:45 Christian Grothoff Fixed in Version => 0.8
2021-08-03 14:45 Christian Grothoff Note Added: 0018055
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 5fc2e72a
2021-09-02 18:14 Christian Grothoff Note Added: 0018222